Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.io
Class SnapshotConvertersBundle

Show UML class diagram

    java.lang.Object
      com.hammurapi.convert.AbstractReflectiveAtomicConvertersBundle
          com.hammurapi.eventbus.snapshot.io.SnapshotConvertersBundle

All Implemented Interfaces:
  AtomicConvertersBundle

    public class SnapshotConvertersBundle

extends AbstractReflectiveAtomicConvertersBundle

Constructor Summary
`SnapshotConvertersBundle()`

Method Summary
`Extractor` | `convertToExtractor(Constant<?,?,?> constant)`
`Extractor` | `convertToExtractor(Extractor<?,?,?> extractor)`
`Handler` | `convertToHandler(EventHandler<?,?,?,?,?> eventHandler)`
`Handler` | `convertToHandler(ReflectiveEventHandler<?,?,?,?> reflectiveHandler)`
`Predicate` | `convertToPredicate(CompositePredicate<?,?,?,?> predicate)`
`Predicate` | `convertToPredicate(InstanceOfPredicate<?,?> predicate)`
`Predicate` | `convertToPredicate(Predicate<?,?> predicate)`
`Event` | `convertToSnapshotElement(Object obj)` Basic converter sets last part of class name as name, and toString() as details.

Methods inherited from class com.hammurapi.convert.AbstractReflectiveAtomicConvertersBundle
`getConverters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapshotConvertersBundle

    public SnapshotConvertersBundle()

Method Detail

### convertToSnapshotElement

    public Event convertToSnapshotElement(Object obj)

  Basic converter sets last part of class name as name, and toString() as details.

  Parameters:
    `obj` -
  Returns:

### convertToHandler

    public Handler convertToHandler(EventHandler<?,?,?,?,?> eventHandler)

### convertToHandler

    public Handler convertToHandler(ReflectiveEventHandler<?,?,?,?> reflectiveHandler)

### convertToPredicate

    public Predicate convertToPredicate(Predicate<?,?> predicate)

### convertToExtractor

    public Extractor convertToExtractor(Extractor<?,?,?> extractor)

### convertToExtractor

    public Extractor convertToExtractor(Constant<?,?,?> constant)

### convertToPredicate

    public Predicate convertToPredicate(CompositePredicate<?,?,?,?> predicate)

### convertToPredicate

    public Predicate convertToPredicate(InstanceOfPredicate<?,?> predicate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD